Package io.strimzi.systemtest.resources.crd

## Class KafkaResource

- java.lang.Object
- - io.strimzi.systemtest.resources.crd.KafkaResource

-     public class KafkaResource
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KafkaResource()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static io.strimzi.api.kafka.model.Kafka` | `createAndWaitForReadiness​(io.strimzi.api.kafka.model.Kafka kafka)` |
    `static void` | `deleteKafkaWithoutWait​(String resourceName)` | This method is used for delete specific Kafka cluster without wait for all resources deletion.
    `static String` | `getKafkaExternalListenerCaCertName​(String namespace, String clusterName, String listenerName)` |
    `static io.strimzi.api.kafka.model.status.KafkaStatus` | `getKafkaStatus​(String clusterName, String namespace)` |
    `static String` | `getKafkaTlsListenerCaCertName​(String namespace, String clusterName, String listenerName)` |
    `static io.strimzi.api.kafka.model.KafkaBuilder` | `kafkaAndCruiseControlWithMetrics​(String name, int kafkaReplicas, int zookeeperReplicas)` |
    `static io.fabric8.kubernetes.client.dsl.MixedOperation<io.strimzi.api.kafka.model.Kafka,​io.strimzi.api.kafka.KafkaList,​io.fabric8.kubernetes.client.dsl.Resource<io.strimzi.api.kafka.model.Kafka>>` | `kafkaClient()` |
    `static io.strimzi.api.kafka.model.KafkaBuilder` | `kafkaEphemeral​(String clusterName, int kafkaReplicas)` |
    `static io.strimzi.api.kafka.model.KafkaBuilder` | `kafkaEphemeral​(String clusterName, int kafkaReplicas, int zookeeperReplicas)` |
    `static io.strimzi.api.kafka.model.KafkaBuilder` | `kafkaFromYaml​(File yamlFile, String clusterName, int kafkaReplicas, int zookeeperReplicas)` |
    `static io.strimzi.api.kafka.model.KafkaBuilder` | `kafkaJBOD​(String name, int kafkaReplicas, int zookeeperReplicas, io.strimzi.api.kafka.model.storage.JbodStorage jbodStorage)` |
    `static io.strimzi.api.kafka.model.KafkaBuilder` | `kafkaJBOD​(String name, int kafkaReplicas, io.strimzi.api.kafka.model.storage.JbodStorage jbodStorage)` |
    `static io.strimzi.api.kafka.model.KafkaBuilder` | `kafkaPersistent​(String name, int kafkaReplicas)` |
    `static io.strimzi.api.kafka.model.KafkaBuilder` | `kafkaPersistent​(String clusterName, int kafkaReplicas, int zookeeperReplicas)` |
    `static io.strimzi.api.kafka.model.KafkaBuilder` | `kafkaWithCruiseControl​(String name, int kafkaReplicas, int zookeeperReplicas)` |
    `static io.strimzi.api.kafka.model.Kafka` | `kafkaWithCruiseControlWithoutWait​(String name, int kafkaReplicas, int zookeeperReplicas)` |
    `static io.strimzi.api.kafka.model.KafkaBuilder` | `kafkaWithMetrics​(String name, int kafkaReplicas, int zookeeperReplicas)` |
    `static io.strimzi.api.kafka.model.KafkaBuilder` | `kafkaWithMetricsAndCruiseControlWithMetrics​(String name, int kafkaReplicas, int zookeeperReplicas)` |
    `static io.strimzi.api.kafka.model.Kafka` | `kafkaWithoutWait​(io.strimzi.api.kafka.model.Kafka kafka)` | This method is used for deploy specific Kafka cluster without wait for all resources.
    `static void` | `replaceKafkaResource​(String resourceName, Consumer<io.strimzi.api.kafka.model.Kafka> editor)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KafkaResource

          public KafkaResource()

  - ### Method Detail

    - #### kafkaClient

          public static io.fabric8.kubernetes.client.dsl.MixedOperation<io.strimzi.api.kafka.model.Kafka,​io.strimzi.api.kafka.KafkaList,​io.fabric8.kubernetes.client.dsl.Resource<io.strimzi.api.kafka.model.Kafka>> kafkaClient()

    - #### kafkaEphemeral

          public static io.strimzi.api.kafka.model.KafkaBuilder kafkaEphemeral​(String clusterName,
                                                                               int kafkaReplicas)

    - #### kafkaEphemeral

          public static io.strimzi.api.kafka.model.KafkaBuilder kafkaEphemeral​(String clusterName,
                                                                               int kafkaReplicas,
                                                                               int zookeeperReplicas)

    - #### kafkaPersistent

          public static io.strimzi.api.kafka.model.KafkaBuilder kafkaPersistent​(String name,
                                                                                int kafkaReplicas)

    - #### kafkaPersistent

          public static io.strimzi.api.kafka.model.KafkaBuilder kafkaPersistent​(String clusterName,
                                                                                int kafkaReplicas,
                                                                                int zookeeperReplicas)

    - #### kafkaJBOD

          public static io.strimzi.api.kafka.model.KafkaBuilder kafkaJBOD​(String name,
                                                                          int kafkaReplicas,
                                                                          io.strimzi.api.kafka.model.storage.JbodStorage jbodStorage)

    - #### kafkaJBOD

          public static io.strimzi.api.kafka.model.KafkaBuilder kafkaJBOD​(String name,
                                                                          int kafkaReplicas,
                                                                          int zookeeperReplicas,
                                                                          io.strimzi.api.kafka.model.storage.JbodStorage jbodStorage)

    - #### kafkaWithMetrics

          public static io.strimzi.api.kafka.model.KafkaBuilder kafkaWithMetrics​(String name,
                                                                                 int kafkaReplicas,
                                                                                 int zookeeperReplicas)

    - #### kafkaWithCruiseControl

          public static io.strimzi.api.kafka.model.KafkaBuilder kafkaWithCruiseControl​(String name,
                                                                                       int kafkaReplicas,
                                                                                       int zookeeperReplicas)

    - #### kafkaAndCruiseControlWithMetrics

          public static io.strimzi.api.kafka.model.KafkaBuilder kafkaAndCruiseControlWithMetrics​(String name,
                                                                                                 int kafkaReplicas,
                                                                                                 int zookeeperReplicas)

    - #### kafkaWithMetricsAndCruiseControlWithMetrics

          public static io.strimzi.api.kafka.model.KafkaBuilder kafkaWithMetricsAndCruiseControlWithMetrics​(String name,
                                                                                                            int kafkaReplicas,
                                                                                                            int zookeeperReplicas)

    - #### kafkaFromYaml

          public static io.strimzi.api.kafka.model.KafkaBuilder kafkaFromYaml​(File yamlFile,
                                                                              String clusterName,
                                                                              int kafkaReplicas,
                                                                              int zookeeperReplicas)

    - #### createAndWaitForReadiness

          public static io.strimzi.api.kafka.model.Kafka createAndWaitForReadiness​(io.strimzi.api.kafka.model.Kafka kafka)

    - #### kafkaWithoutWait

          public static io.strimzi.api.kafka.model.Kafka kafkaWithoutWait​(io.strimzi.api.kafka.model.Kafka kafka)

      This method is used for deploy specific Kafka cluster without wait for all resources. It can be use for example for deploy Kafka cluster with unsupported Kafka version.
      Parameters:
        `kafka` - kafka cluster specification
      Returns:
        kafka cluster specification

    - #### kafkaWithCruiseControlWithoutWait

          public static io.strimzi.api.kafka.model.Kafka kafkaWithCruiseControlWithoutWait​(String name,
                                                                                           int kafkaReplicas,
                                                                                           int zookeeperReplicas)

    - #### deleteKafkaWithoutWait

          public static void deleteKafkaWithoutWait​(String resourceName)

      This method is used for delete specific Kafka cluster without wait for all resources deletion. It can be use for example for delete Kafka cluster CR with unsupported Kafka version.
      Parameters:
        `resourceName` - kafka cluster name

    - #### replaceKafkaResource

          public static void replaceKafkaResource​(String resourceName,
                                                  Consumer<io.strimzi.api.kafka.model.Kafka> editor)

    - #### getKafkaTlsListenerCaCertName

          public static String getKafkaTlsListenerCaCertName​(String namespace,
                                                             String clusterName,
                                                             String listenerName)

    - #### getKafkaExternalListenerCaCertName

          public static String getKafkaExternalListenerCaCertName​(String namespace,
                                                                  String clusterName,
                                                                  String listenerName)

    - #### getKafkaStatus

          public static io.strimzi.api.kafka.model.status.KafkaStatus getKafkaStatus​(String clusterName,
                                                                                     String namespace)